org.apache.olingo.client.api.domain

## Class ClientServiceDocument

- java.lang.Object
- - org.apache.olingo.client.api.domain.ClientServiceDocument

-     public class ClientServiceDocument
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientServiceDocument()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getEntitySetNames()` Gets entity set names.
    `Map<String,URI>` | `getEntitySets()`
    `URI` | `getEntitySetURI(String name)` Gets URI about the given entity set.
    `Collection<URI>` | `getEntitySetURIs()` Gets entity set URIs.
    `Collection<String>` | `getFunctionImportNames()` Gets function import names.
    `Map<String,URI>` | `getFunctionImports()`
    `URI` | `getFunctionImportURI(String name)` Gets URI of the given function import.
    `Collection<URI>` | `getFunctionImportURIs()` Gets function import URIs.
    `Map<String,URI>` | `getRelatedServiceDocuments()`
    `Collection<String>` | `getRelatedServiceDocumentsNames()` Gets related service documents names.
    `Collection<URI>` | `getRelatedServiceDocumentsURIs()` Gets related service documents URIs.
    `URI` | `getRelatedServiceDocumentURI(String name)` Gets URI of the given related service documents.
    `Collection<String>` | `getSingletonNames()` Gets singleton names.
    `Map<String,URI>` | `getSingletons()`
    `URI` | `getSingletonURI(String name)` Gets URI of the given singleton.
    `Collection<URI>` | `getSingletonURIs()` Gets singleton URIs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientServiceDocument

          public ClientServiceDocument()

  - ### Method Detail

    - #### getEntitySets

          public Map<String,URI> getEntitySets()

    - #### getEntitySetNames

          public Collection<String> getEntitySetNames()

      Gets entity set names.
      Returns:
        entity set names.

    - #### getEntitySetURIs

          public Collection<URI> getEntitySetURIs()

      Gets entity set URIs.
      Returns:
        entity set URIs.

    - #### getEntitySetURI

          public URI getEntitySetURI(String name)

      Gets URI about the given entity set.
      Parameters:
        `name` - name.
      Returns:
        URI.

    - #### getFunctionImports

          public Map<String,URI> getFunctionImports()

    - #### getFunctionImportNames

          public Collection<String> getFunctionImportNames()

      Gets function import names.
      Returns:
        function import names.

    - #### getFunctionImportURIs

          public Collection<URI> getFunctionImportURIs()

      Gets function import URIs.
      Returns:
        function import URIs.

    - #### getFunctionImportURI

          public URI getFunctionImportURI(String name)

      Gets URI of the given function import.
      Parameters:
        `name` - name.
      Returns:
        URI.

    - #### getSingletons

          public Map<String,URI> getSingletons()

    - #### getSingletonNames

          public Collection<String> getSingletonNames()

      Gets singleton names.
      Returns:
        singleton names.

    - #### getSingletonURIs

          public Collection<URI> getSingletonURIs()

      Gets singleton URIs.
      Returns:
        singleton URIs.

    - #### getSingletonURI

          public URI getSingletonURI(String name)

      Gets URI of the given singleton.
      Parameters:
        `name` - name.
      Returns:
        URI.

    - #### getRelatedServiceDocuments

          public Map<String,URI> getRelatedServiceDocuments()

    - #### getRelatedServiceDocumentsNames

          public Collection<String> getRelatedServiceDocumentsNames()

      Gets related service documents names.
      Returns:
        related service documents names.

    - #### getRelatedServiceDocumentsURIs

          public Collection<URI> getRelatedServiceDocumentsURIs()

      Gets related service documents URIs.
      Returns:
        related service documents URIs.

    - #### getRelatedServiceDocumentURI

          public URI getRelatedServiceDocumentURI(String name)

      Gets URI of the given related service documents.
      Parameters:
        `name` - name.
      Returns:
        URI.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.